Subject: Re: ah...

From: Ralf Baechle <[email-masked]>
Date: Sun, 1 Jun 1997 00:09:15 -2200 (MET DST)

Hi,

> Thus spake Ralf Baechle:
> > One of the fun things with SGI...  Long time ago checked two SGI machines
> > running different OS versions for reference.  In one of them the values
> > for SOCK_STREAM and SOCK_DGRAM are swapped compared to the other.  I wonder
> > why.  But anyway, at that time I choose to clone the constants from the
> > newer one.
> 
> Solaris is the same way...it's probably an SVR thing.
> (If you're going to use sockets, though, why not use the BSD values?)

One crappy conversion routine less.

I checked my own source base at home; both libc and the kernel use the
same values as IRIX 6.2 so there must be something wrong with your libc.

  Ralf